package handler

import (
	"context"
	"time"

	"git.loafle.net/overflow/overflow_gateway_probe/conf"
	ogw "git.loafle.net/overflow/overflow_gateway_websocket"
)

type probeSocketHandlers struct {
	ogw.SocketHandlers
	ctx context.Context
}

func NewProbeSocketHandler(ctx context.Context) ogw.SocketHandler {
	h := &probeSocketHandlers{
		ctx: ctx,
	}
	cfg := conf.Config.Handlers["probe"]

	h.MaxMessageSize = cfg.Socket.MaxMessageSize
	h.WriteTimeout = cfg.Socket.WriteTimeout * time.Second
	h.ReadTimeout = cfg.Socket.ReadTimeout * time.Second
	h.PongTimeout = cfg.Socket.PongTimeout * time.Second
	h.PingTimeout = cfg.Socket.PingTimeout * time.Second
	h.PingPeriod = cfg.Socket.PingPeriod * time.Second
	h.BinaryMessage = cfg.Socket.BinaryMessage

	ph := newProbeJSONRpcHandler(ctx)

	h.Protocol = ph

	return h
}


