package server

import (
	"context"

	"github.com/valyala/fasthttp"

	"git.loafle.net/overflow/overflow_gateway_probe/conf"
	ogw "git.loafle.net/overflow/overflow_gateway_websocket"
)

var _s ogw.Server

func NewServer(ctx context.Context) ogw.Server {
	h := newServerHandler(ctx)
	_s := ogw.NewServer(ctx, h)

	ofSigningKey = []byte(conf.Config.Auth.SigningKey)

	return _s
}

type Servlet interface {
	IsCanConnect(ctx *fasthttp.RequestCtx) bool
	SessionUID(soc ogw.Socket) string
}
